#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<ll,ll> pll;
#define endl '\n'
#define inf 1000000007
#define MN 100007

ll k,i,j,r,l,p;
string s;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>s;
    cin>>k;
    for(i=1;i<=k;i++){
        cin>>l>>r;
        p=1;
        for(j=l;j<r;j++){
            if(s[j]<s[j-1] || j==r)p++;
        }
        cout<<p<<endl;
    }



return 0;
}
